Bug 1124489 - tboot: argument measurement vulnerability for GRUB2+ELF kernels [fedora-all]
Summary: tboot: argument measurement vulnerability for GRUB2+ELF kernels [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tboot
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gang Wei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-5118
TreeView+ depends on / blocked
 
Reported: 2014-07-29 15:36 UTC by Vincent Danen
Modified: 2014-08-16 00:30 UTC (History)
6 users (show)

Fixed In Version: tboot-1.8.2-1.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:28:17 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-07-29 15:36:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-07-29 15:36:08 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1124488,1124489

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1124488,1124489

Comment 2 Gang Wei 2014-07-30 06:38:39 UTC
Since the CVE number was not assigned yet, can I simply push the update without CVE ID in the RPM changelog and update template?

I have already pushed changes into master/f21/f20/f19, just wait to push update to testing/stable.

Comment 3 Vincent Danen 2014-07-30 13:08:50 UTC
No need to wait for a CVE name.  Please go ahead and push; as MITRE assigns public CVEs, it could be immediate or it could be days.  It doesn't make sense to wait just for the name.  Provided you include this bug and the primary bug (which will eventually contain the CVE) in the update request, you're fine to go ahead as Bodhi will note the version fixed in both bugs.

Thanks.

Comment 4 Fedora Update System 2014-08-01 04:34:03 UTC
tboot-1.8.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tboot-1.8.2-1.fc20

Comment 5 Fedora Update System 2014-08-01 04:34:09 UTC
tboot-1.8.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tboot-1.8.2-1.fc19

Comment 6 Fedora Update System 2014-08-01 23:55:30 UTC
Package tboot-1.8.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tboot-1.8.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9104/tboot-1.8.2-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-08-16 00:28:17 UTC
tboot-1.8.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-08-16 00:30:07 UTC
tboot-1.8.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.